Module java.base
Package java.security

## Class KeyManagementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.KeyException
        - - java.security.KeyManagementException

All Implemented Interfaces:
  `Serializable`

    public class KeyManagementException
    extends KeyException

This is the general key management exception for all operations dealing with key management. Examples of subclasses of KeyManagementException that developers might create for giving more detailed information could include:

- KeyIDConflictException
- KeyAuthorizationFailureException
- ExpiredKeyException

Since:
  1.1
See Also:
  `Key`, `KeyException`, Serialized Form

### Constructor Summary

Constructors
`KeyManagementException()` Constructs a KeyManagementException with no detail message.
`KeyManagementException​(String msg)` Constructs a KeyManagementException with the specified detail message.
`KeyManagementException​(String message, Throwable cause)` Creates a `KeyManagementException` with the specified detail message and cause.
`KeyManagementException​(Throwable cause)` Creates a `KeyManagementException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeyManagementException

    public KeyManagementException()

Constructs a KeyManagementException with no detail message. A detail message is a String that describes this particular exception.

#### KeyManagementException

    public KeyManagementException​(String msg)

Constructs a KeyManagementException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

#### KeyManagementException

    public KeyManagementException​(String message,
                                  Throwable cause)

Creates a `KeyManagementException` with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5

#### KeyManagementException

    public KeyManagementException​(Throwable cause)

Creates a `KeyManagementException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5